<?php
//fpdf library location 
//downloaded from http://www.fpdf.org/
require("fpdf17/fpdf.php");

//to add a footer make a class that extends the FPDF class
// see pp. 258-260 of Programming PHP Tatroe et al. or http://www.fpdf.org/en/doc/footer.htm
class MyPDF extends FPDF
{
	// change the empty footer method
	function footer(){
		$this->setY(-15);  // 1.5 cm from the bottom of the page
		//http://www.fpdf.org/en/doc/sety.htm
		$this->setFont("Arial","I", 8);
		$this->Cell(0,10,  $this->PageNo() . " of " . '{nb}',0,0,'R');	
		//the {nb} is connected to the line $pdf->AliasNbPages();
		// nb is the default name for the number of pages 
		// the 'R' right justifies the footer
	}	
	
	function header(){
		$this->setY(5);  
		$this->setFont("Arial","I", 8);
		
		if($this->PageNo()%2==1 && $this->PageNo()!=1){
			//odd pages that are not page one
			$this->Cell(0,10,  "Jack Torrance",0,0,'R');
			$this->ln(15);
		}
		else if($this->PageNo()%2==0){
			//even pages
			$this->Cell(0,10,  "At the Overlook",0,0,'L');	
			$this->ln(15);
		}
	}
}


//instantiate an extended PDF object
$pdf = new MyPDF();   //  !!NOTE now instantiating an object of the extended class!!
$pdf->AliasNbPages();  // this is related to the {nb} above

//add the first page
$pdf->addPage();
$pdf->SetMargins(25.4,25.4,25.4,25.4);

//main title
$pdf->setFont("Arial", "B", 16); 
$pdf->cell(0,20,"At the Overlook");
$pdf->ln();

//subtitle
$pdf->setFont("Arial", "BU", 14);
$pdf->cell(0,14,"All work");
$pdf->ln();

//text
$base = "All work and no play makes Jack a dull boy. ";
$text = "";
for($j=0;$j<20;$j++){
	$k = rand(3,15); 
	//number of sentences/units in each paragraph is a random number between 3 and 15
	for($i=0;$i<$k;$i++){
		$text .= $base;
	}
	$text .= "\n\n"; //return twice between paragraphs
}
$pdf->setFont("Arial", "", 12);
$pdf->MultiCell(0,6,$text); 
//http://stackoverflow.com/questions/3477372/make-text-wrap-in-a-cell-with-fpdf
$pdf->ln();

$pdf->output();

?>

